package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsWebsite;
import com.ruoyi.system.domain.vo.ZsWebsiteVo;
import com.ruoyi.system.domain.bo.ZsWebsiteBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 站点信息Service接口
 *
 * @author 王强
 * @date 2025-04-30
 */
public interface IZsWebsiteService {

    /**
     * 查询站点信息
     */
    ZsWebsiteVo queryById(Long id);

    /**
     * 查询站点信息列表
     */
    TableDataInfo<ZsWebsiteVo> queryPageList(ZsWebsiteBo bo, PageQuery pageQuery);

    /**
     * 查询站点信息列表
     */
    List<ZsWebsiteVo> queryList(ZsWebsiteBo bo);

    /**
     * 新增站点信息
     */
    Boolean insertByBo(ZsWebsiteBo bo);

    /**
     * 修改站点信息
     */
    Boolean updateByBo(ZsWebsiteBo bo);

    /**
     * 校验并批量删除站点信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
